#include <string.h>
#include "pcx.h"
#include "editskin.h"
#include "config.h"

void init_helps()
{
 int x;

 memset(colorhelp,0,sizeof(c_help));


//************************************* DARKER & BRIGHTER
 for (x=0; x<256; x++)
  colorhelp[x].darker=colorhelp[x].brighter=x;

 for (x=0; x<128; x++)
 {
  colorhelp[x].darker=x-1;
  colorhelp[x].brighter=x+1;
 }
 
 for (x=0; x<128; x+=16)
 {
  colorhelp[x].darker=x;
  colorhelp[x+15].brighter=x+15;
 }
 
 for (x=128; x<224; x++)
 {
  colorhelp[x].darker=x+1;
  colorhelp[x].brighter=x-1;
 }

 for (x=128; x<224; x+=16)
 {
  colorhelp[x].brighter=x;
  colorhelp[x+15].darker=x+15;
 }

 for (x=224; x<240; x++)
 {
  colorhelp[x].darker=x-1;
  colorhelp[x].brighter=x+1;
 } colorhelp[224].darker=224; colorhelp[239].brighter=239;
 
//****************************************** NAMES
 for (x=0; x<290; x++)
 {
  strncpy(colorhelp[x].name,"                         ",25);
  colorhelp[x].name[26]=0;
 }
 
 for (x=16; x<32; x++)
 {
  strncpy(colorhelp[x].name,"Shirt color              ",25);
  colorhelp[x].name[26]=0;
 
 }
 for (x=96; x<112; x++)
  strncpy(colorhelp[x].name,"Pant color               ",25);
 
 for (x=240; x<256; x++)
  strncpy(colorhelp[x].name,"Full bright              ",25);

}